DNSTaskStarter
Date: 2017-02-10

javax.jmdns.impl

## Interface DNSTaskStarter

- All Known Implementing Classes:
    DNSTaskStarter.DNSTaskStarterImpl, JmDNSImpl

      public interface DNSTaskStarter

  This class is used by JmDNS to start the various task required to run the DNS discovery. This interface is only there in order to support MANET modifications.

  Note: This is not considered as part of the general public API of JmDNS.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `DNSTaskStarter.DNSTaskStarterImpl`
    `static class` | `DNSTaskStarter.Factory` DNSTaskStarter.Factory enable the creation of new instance of DNSTaskStarter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelStateTimer()` Cancel the state task timer
    `void` | `cancelTimer()` Cancel the generals task timer
    `void` | `purgeStateTimer()` Purge the state task timer
    `void` | `purgeTimer()` Purge the general task timer
    `void` | `startAnnouncer()` Start a new announcer task
    `void` | `startCanceler()` Start a new canceler task
    `void` | `startProber()` Start a new prober task
    `void` | `startReaper()` Start a new reaper task.
    `void` | `startRenewer()` Start a new renewer task
    `void` | `startResponder(DNSIncoming in, int port)` Start a new responder task
    `void` | `startServiceInfoResolver(ServiceInfoImpl info)` Start a new service info resolver task
    `void` | `startServiceResolver(java.lang.String type)` Start a new service resolver task
    `void` | `startTypeResolver()` Start a new service type resolver task

- - ### Method Detail

    - #### purgeTimer

          void purgeTimer()

      Purge the general task timer

    - #### purgeStateTimer

          void purgeStateTimer()

      Purge the state task timer

    - #### cancelTimer

          void cancelTimer()

      Cancel the generals task timer

    - #### cancelStateTimer

          void cancelStateTimer()

      Cancel the state task timer

    - #### startProber

          void startProber()

      Start a new prober task

    - #### startAnnouncer

          void startAnnouncer()

      Start a new announcer task

    - #### startRenewer

          void startRenewer()

      Start a new renewer task

    - #### startCanceler

          void startCanceler()

      Start a new canceler task

    - #### startReaper

          void startReaper()

      Start a new reaper task. There is only supposed to be one reaper running at a time.

    - #### startServiceInfoResolver

          void startServiceInfoResolver(ServiceInfoImpl info)

      Start a new service info resolver task
      Parameters:
        `info` - service info to resolve

    - #### startTypeResolver

          void startTypeResolver()

      Start a new service type resolver task

    - #### startServiceResolver

          void startServiceResolver(java.lang.String type)

      Start a new service resolver task
      Parameters:
        `type` - service type to resolve

    - #### startResponder

          void startResponder(DNSIncoming in,
                            int port)

      Start a new responder task
      Parameters:
        `in` - incoming message
        `port` - incoming port